Comment 1 for bug 40058

Michael Vogt (mvo) wrote :

Thanks for your bugreport.

I turned out that the problem is triggered for packages that travel between main and universe. The problem is that update manager dosn't use the section of the candidate version to figure if it is a main or a universe package but the Section of the current package.

To fix this, python-apt should always use the section of the candidate (unless otherwise told).